mbedtls_ecp_keypair Struct Reference

The ECP key-pair structure. More...

`#include <ecp.h>`

Collaboration diagram for mbedtls_ecp_keypair:
[legend]

## Data Fields

mbedtls_ecp_group | grp
mbedtls_mpi | d
mbedtls_ecp_point | Q

## Detailed Description

The ECP key-pair structure.

A generic key-pair that may be used for ECDSA and fixed ECDH, for example.

Note
  Members are deliberately in the same order as in the mbedtls_ecdsa_context structure.

Definition at line 432 of file ecp.h.

## Field Documentation

## d

mbedtls_mpi mbedtls_ecp_keypair::d

our secret value

Definition at line 435 of file ecp.h.

## grp

mbedtls_ecp_group mbedtls_ecp_keypair::grp

Elliptic curve and base point

Definition at line 434 of file ecp.h.

## Q

mbedtls_ecp_point mbedtls_ecp_keypair::Q

our public value

Definition at line 436 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h